commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Grobmeier <grobme...@gmail.com>
Subject Re: [ALL] Maven 2 - (was Commons Parent pom - any more changes needed?)
Date Sun, 08 Jan 2012 12:41:53 GMT
On Sun, Jan 8, 2012 at 1:13 PM, Luc Maisonobe <Luc.Maisonobe@free.fr> wrote:
> Le 08/01/2012 12:11, Christian Grobmeier a écrit :
>> Out of curiosity: why can't you run m3 on debian linux? m3 is java,
>> you should be able to download it and place it in your path.
>
> I probably could. I simply did not try yet, and relied only on what was
> provided by the distribution.

OK thanks for explaining

>> I thought everybody who wants to build commons components himself
>> should be able to install m3 on every plattform with java around. Or
>> do I miss something?
>
> My point is simply that requiring very specific tools or tools versions
> that require specific knowledge or installation should be avoided if
> possible. We don't have the resources to help users installing these
> tools too.

Right. But help for installing m3 is not our business, it is business
of m3-users list.

Every open source project I know rely on only one build tool, be it
npm, gradle, buildr, ant, m3, m2 or whatever.

At commons we support 2 - 4 building tools: ant, m1, m2 and m3. Of
course this might be wrong, because this doc is clearly outdated:
http://wiki.apache.org/commons/BuildSystems

If you say we don't have enough human power around, we should support
only one building tool for all components. This reduces the overhead
discussions on incompatibilities. Then we can update this:
http://commons.apache.org/building.html
and remove all the wiki pages speaking about m1 and m2.

Supporting 2, 3 or even 4 building systems is a waste of the less
resources Commons has. And it does not bring much benefit in turn,
imho.

Cheers
Christian

>
> Luc
>
>>
>>> I'm not sure how it is relevant whether commons users use maven 2 or 3. Even
if we require Maven 3 to build a commons component anyone can still use it in a Maven 2 build.
They only would require Maven 3 if they actually want to build one of our artifacts on their
own.
>>
>> +1
>>
>> Cheers
>> Christian
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>> For additional commands, e-mail: dev-help@commons.apache.org
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>



-- 
http://www.grobmeier.de
https://www.timeandbill.de

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message